create table DimProductSubCategory (
ProductSubCategoryKey int identity(1,1) not null Constraint [PK_DimProductSubCategory] Primary key nonclustered
, SubCategoryAltKey int not null
, SubCategoryName nvarchar(200) not null
)
Create clustered index CL_DimProductSubCategory on DimProductSubCategory(SubCategoryAltKey);

create table DimProduct (
ProductKey int identity(1,1) not null Constraint [PK_DimProduct] Primary key nonclustered
, ProductAltKey int not null
, ProductSubCategoryKey int not null Constraint [RF_DimProduct_DimProductSubCategory] References DimProductSubCategory (ProductSubCategoryKey)
, ProductName nvarchar(200) not null

)
Create clustered index CL_DimProduct  on DimProduct (ProductAltKey);
